
//#region src/configFields.ts
const ConfigFields = {
	allowCompoundWords: "allowCompoundWords",
	cache: "cache",
	caseSensitive: "caseSensitive",
	description: "description",
	dictionaries: "dictionaries",
	dictionaryDefinitions: "dictionaryDefinitions",
	enabled: "enabled",
	enabledLanguageIds: "enabledLanguageIds",
	enableFiletypes: "enableFiletypes",
	enabledFileTypes: "enabledFileTypes",
	enableGlobDot: "enableGlobDot",
	failFast: "failFast",
	features: "features",
	files: "files",
	flagWords: "flagWords",
	gitignoreRoot: "gitignoreRoot",
	globRoot: "globRoot",
	ignorePaths: "ignorePaths",
	ignoreRegExpList: "ignoreRegExpList",
	ignoreWords: "ignoreWords",
	ignoreRandomStrings: "ignoreRandomStrings",
	import: "import",
	includeRegExpList: "includeRegExpList",
	language: "language",
	languageId: "languageId",
	languageSettings: "languageSettings",
	loadDefaultConfiguration: "loadDefaultConfiguration",
	maxDuplicateProblems: "maxDuplicateProblems",
	maxNumberOfProblems: "maxNumberOfProblems",
	minWordLength: "minWordLength",
	minRandomLength: "minRandomLength",
	name: "name",
	noConfigSearch: "noConfigSearch",
	noSuggestDictionaries: "noSuggestDictionaries",
	numSuggestions: "numSuggestions",
	overrides: "overrides",
	patterns: "patterns",
	pnpFiles: "pnpFiles",
	readonly: "readonly",
	reporters: "reporters",
	showStatus: "showStatus",
	spellCheckDelayMs: "spellCheckDelayMs",
	suggestionNumChanges: "suggestionNumChanges",
	suggestionsTimeout: "suggestionsTimeout",
	suggestWords: "suggestWords",
	unknownWords: "unknownWords",
	useGitignore: "useGitignore",
	usePnP: "usePnP",
	userWords: "userWords",
	validateDirectives: "validateDirectives",
	words: "words",
	parser: "parser"
};

//#endregion
//#region src/CSpellReporter.ts
let IssueType = /* @__PURE__ */ function(IssueType$1) {
	IssueType$1[IssueType$1["spelling"] = 0] = "spelling";
	IssueType$1[IssueType$1["directive"] = 1] = "directive";
	return IssueType$1;
}({});
const MessageTypes = {
	Debug: "Debug",
	Info: "Info",
	Warning: "Warning"
};
const unknownWordsChoices = {
	ReportAll: "report-all",
	ReportSimple: "report-simple",
	ReportCommonTypos: "report-common-typos",
	ReportFlagged: "report-flagged"
};

//#endregion
//#region src/defaultConfigSettings.ts
const defaultCSpellSettings = {
	ignoreRandomStrings: true,
	minRandomLength: 40
};

//#endregion
//#region src/defineConfig.ts
function defineConfig(config) {
	return config;
}

//#endregion
exports.ConfigFields = ConfigFields;
exports.IssueType = IssueType;
exports.MessageTypes = MessageTypes;
exports.defaultCSpellSettings = defaultCSpellSettings;
exports.defineConfig = defineConfig;
exports.unknownWordsChoices = unknownWordsChoices;